Subject: bug#43299: 28.0.50; message-newline-and-reformat does not insert space after citation prefix

From: Amin Bandali <[email-masked]>
Date: Thu, 10 Sep 2020 17:45:38 -0400

Lars Ingebrigtsen writes:

> Amin Bandali <[email-masked]> writes:
>
>> Currently, the `message-newline-and-reformat' function (bound to M-RET
>> in `message-mode') does not insert an empty space after the citation
>> prefix (e.g. '>') when reformatting the lines following the point in a
>> common use scenario.  I would like the behaviour to change, or at least
>> an option be added to have `message-newline-and-reformat' insert a space
>> after each '>'.
>>
>> Example:
>>
>>> test0
>>>
>>> test1 test2 test3 test4 test5 test6 test7 test8 test9 test10 test11 test12
>
> The problem here is that there's no space after that > character.  If it
> had been
>
>> test0
>> 
>> test1 test2 test3 test4 test5 test6 test7 test8 test9 test10 test11 test12
>
> instead (if that trailing space survives the mailing process) then you get
>
>> test0
>> 
>
>
>
>> 
>> test1 test2 test3 test4 test5 test6 test7 test8 test9 test10 test11
>> test12
>

Right, but I don't think there is normally a space there otherwise
either.  For instance, when replying with (quoting) the original in
Gnus, Gnus and/or Message don't insert a trailing space after the '>'
when there is no character on that line.

> 
> Hm...  OK, I think I found it -- I think there was a reversed check
> for the length of the spaces in the following paragraph?  I pushed a
> fix to Emacs 28 that seems to fix this use case, but I'm not exactly
> confident that this doesn't introduce other oddities.

Thanks, it does seem to cover this case.  But now, there's a trailing
single space after the first '>' with no other characters after it.
Would it make sense to remove that once the filling/reformatting of the
paragraph is done?